<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-structure-heading"
        data-cy="StructureCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.structure.home.createOrEditLabel"
      >
        Créer ou éditer un Structure
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.structure.type" for="field_type">Type</label>
          <select class="form-control" name="type" formControlName="type" id="field_type" data-cy="type">
            <option [ngValue]="null">{{ 'gestionPersonnel3App.TypeStructure.null' | translate }}</option>
            <option *ngFor="let typeStructure of typeStructureValues" [value]="typeStructure">
              {{ 'gestionPersonnel3App.TypeStructure.' + typeStructure | translate }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.structure.sigle" for="field_sigle">Sigle</label>
          <input type="text" class="form-control" name="sigle" id="field_sigle" data-cy="sigle" formControlName="sigle" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.structure.libelle" for="field_libelle">Libelle</label>
          <input type="text" class="form-control" name="libelle" id="field_libelle" data-cy="libelle" formControlName="libelle" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.structure.parentStructure" for="field_parentStructure"
            >Parent Structure</label
          >
          <select
            class="form-control"
            id="field_parentStructure"
            data-cy="parentStructure"
            name="parentStructure"
            formControlName="parentStructure"
            [compareWith]="compareStructure"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="structureOption" *ngFor="let structureOption of structuresSharedCollection">{{ structureOption.id }}</option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
